'The MsgBox function can return one of the following values:
'
'1 = vbOK - OK was clicked 
'2 = vbCancel - Cancel was clicked 
'3 = vbAbort - Abort was clicked 
'4 = vbRetry - Retry was clicked 
'5 = vbIgnore - Ignore was clicked 
'6 = vbYes - Yes was clicked 
'7 = vbNo - No was clicked '
'
'MsgBox(prompt[,buttons][,title][,helpfile,context]) 
'
'Parameter Description 
'prompt Required. The message to show in the message box. Maximum length is 1024 characters. You can separate the lines using a carriage return character (Chr(13)), a linefeed character (Chr(10)), or carriage returnlinefeed character combination (Chr(13) & Chr(10)) between each line 
'buttons Optional. A value or a sum of values that specifies the number and type of buttons to display, the icon style to use, the identity of the default button, and the modality of the message box. Default value is 0
'0 = vbOKOnly - OK button only 
'1 = vbOKCancel - OK and Cancel buttons 
'2 = vbAbortRetryIgnore - Abort, Retry, and Ignore buttons 
'3 = vbYesNoCancel - Yes, No, and Cancel buttons 
'4 = vbYesNo - Yes and No buttons 
'5 = vbRetryCancel - Retry and Cancel buttons 
'16 = vbCritical - Critical Message icon 
'32 = vbQuestion - Warning Query icon 
'48 = vbExclamation - Warning Message icon 
'64 = vbInformation - Information Message icon 
'0 = vbDefaultButton1 - First button is default 
'256 = vbDefaultButton2 - Second button is default 
'512 = vbDefaultButton3 - Third button is default 
'768 = vbDefaultButton4 - Fourth button is default 
'0 = vbApplicationModal - Application modal (the current application will not work until the user responds to the message box) 
'4096 = vbSystemModal - System modal (all applications wont work until the user responds to the message box) 
'We can divide the buttons values into four groups: The first group  (05) describes the buttons to be displayed in the message box, the second group (16, 32, 48, 64) describes the icon style, the third group (0, 256, 512, 768) indicates which button is the default; and the fourth group (0, 4096) determines the modality of the message box. When adding numbers to create a final value for the buttons parameter, use only one number from each group
' 
'title Optional. The title of the message box. Default is the application name 



'simulate JavaScripts alert() function
sub alert(prompt)
	MsgBox prompt, 48 , "Sidebar Gadget"
end sub

'simulate JavaScripts confirm() function
function confirm(prompt)
	dim res
	res = MsgBox (prompt, 33, "Sidebar Gadget")
	if res=1 then
		confirm = true
	else
		confirm = false
	end if
end function

'expose VBScript's MsgBox to JavaScript
function messageBox(prompt, buttons, title)
	messageBox = MsgBox (prompt, buttons, title)
end function
